Bug 498853 - KMS:M56GL:Mobility FireGL V5200 XVideo output image cropped to upper left of the actual frame
KMS:M56GL:Mobility FireGL V5200 XVideo output image cropped to upper left of ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 22:24 EDT by Charles R. Anderson
Modified: 2014-06-16 09:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (KMS, no xorg.conf) (66.53 KB, text/plain)
2009-05-03 22:31 EDT, Charles R. Anderson
no flags Details
dmesg output (97.99 KB, text/plain)
2009-05-03 22:33 EDT, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2009-05-03 22:24:33 EDT
Description of problem:

Playing video with VLC, mplayer, or Totem using XVideo for output the video image only displays the upper left of the actual video frame.  The actual video frame appears cropped to the upper left corner, then scaled to fill the window.  Moving the window around on the screen or opening menus in the video player application causes a weird recropping/resizing/tiling effect of the video image.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-9.fc11.i586
kernel-PAE-2.6.29.2-123.fc11.i686.PAE

How reproducible:
always

Steps to Reproduce:
1. wget http://fedoraproject.org/wiki/Image:ScreenCasting_test.ogg
2. Make sure XV output is selected (seems to be default in Totem, not sure how to change.)
3. Play ScreenCasting_test.ogg with Totem (or VLC or mplayer)
4. Maximize the window and pull down a menu while the video is playing.
5. Move the window a bit off the edge of the screen while the video is playing.
5. In VLC, change Tools->Preferences->Video->Output to "X11" instead of "Default" or "XVideo extension video output"
6. Close/reopen the video player and retest.

Actual results:

Cropped/scaled video image.  Weird tiling effect when pulling down a menu item.  The cropped image resizes when moving the window partially off screen.  Repeating the tests with "X11" video output instead of "XVideo" the problems disappear completely.

Expected results:

The entire video image should be displayed, not just the upper left corner.  Opening menus or dragging the window shouldn't distort the image.

Additional info:

Lenovo ThinkPad T60p with ATI Technologies Inc M56GL [Mobility FireGL V5200] graphics.
Comment 1 Charles R. Anderson 2009-05-03 22:31:43 EDT
Created attachment 342268 [details]
Xorg.0.log (KMS, no xorg.conf)
Comment 2 Charles R. Anderson 2009-05-03 22:33:32 EDT
Created attachment 342269 [details]
dmesg output
Comment 3 Hin-Tak Leung 2009-05-06 03:33:09 EDT
Yeah, known problem... try -12 from koji if you want to have xvideo, but see png problem (bug 497427)

http://koji.fedoraproject.org/koji/packageinfo?packageID=95
Comment 4 Bug Zapper 2009-06-09 11:05:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-11-05 13:28:27 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Matěj Cepl 2010-02-26 07:23:54 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 7 Bug Zapper 2010-04-27 10:06:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Vedran Miletić 2010-05-24 13:47:14 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 9 Bug Zapper 2010-06-28 08:21:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.